from piccolo.apps.migrations.auto.migration_manager import MigrationManager
from piccolo.columns.column_types import Integer

ID = "2026-07-02T12:57:47:552419"
VERSION = "1.34.0"
DESCRIPTION = ""


async def forwards():
    manager = MigrationManager(
        migration_id=ID, app_name="zangramru_db", description=DESCRIPTION
    )

    manager.alter_column(
        table_class_name="Puzzle",
        tablename="puzzle",
        column_name="number",
        db_column_name="number",
        params={"unique": True},
        old_params={"unique": False},
        column_class=Integer,
        old_column_class=Integer,
        schema=None,
    )

    return manager
